#include <amxmodx>
#include <amxmisc>
#include <fakemeta>
#include <zombieplague>
#include <dhudmessage>

#define PLUGIN "[ZP] Countdown"
#define VERSION "1.0"
#define AUTHOR "Lacosta"

new zp_sec

new const zp_roundstart[][] = 
{
	"sound/fvox/zombi_start.mp3"
}

new zp_countchant[10][] = 
{ 
	"fvox/ten.wav",
	"fvox/nine.wav",
	"fvox/eight.wav",
	"fvox/seven.wav",
	"fvox/six.wav",
	"fvox/five.wav",
	"fvox/four.wav",
	"fvox/three.wav",
	"fvox/two.wav",
	"fvox/one.wav" 
}

public plugin_init() 
{
	register_plugin(PLUGIN, VERSION, AUTHOR)
	register_event("HLTV", "zp_round_start", "a", "1=0", "2=0")
}

public plugin_precache()
{
	register_dictionary("zp_countdown.txt")
	
	new i
	
	for(i = 0; i < sizeof zp_roundstart; i++) 
		engfunc(EngFunc_PrecacheGeneric, zp_roundstart[i])
		
	for(i = 0; i < sizeof zp_countchant; i++) 
		engfunc(EngFunc_PrecacheSound, zp_countchant[i])
}

public zp_round_start()
{
	new iMP3, MP3[64]
	
	iMP3 = random_num(0,charsmax(zp_roundstart))
	copy(MP3, charsmax(MP3), zp_roundstart[iMP3])
	
	client_cmd(0,"mp3 play ^"%s^"", MP3)
	
	zp_sec = 15
	
	zp_countdown()
}

public zp_countdown()
{   	
	set_dhudmessage(0, 255, 0, -1.0, 0.28, 2, 0.02, 1.0, 0.01, 0.1, 10); 
	show_dhudmessage(0, "%L", LANG_PLAYER, "ZP_COUNTDOWN", zp_sec);
	
	zp_sec -= 1
	
	if(zp_sec < 10)
	{
		zp_chantdown()
	}
	
	if(zp_sec >= 1)
	{
		set_task(1.0, "zp_countdown")
	}
} 

public zp_chantdown()
{
	new iChant[64], iSound
	
	iSound = zp_sec
	
	if(iSound == -1)
		return PLUGIN_CONTINUE
		
	copy(iChant, charsmax(iChant), zp_countchant[iSound])
	client_cmd(0,"speak ^"%s^"", iChant)
        return PLUGIN_CONTINUE
}
